%global pkgvers 0
%global scdate0 20201104
%global schash0 f307acebdc8b165e6d50dce2e287a1bc3eec8870
%global branch0 master
%global source0 https://github.com/dmlc/rabit.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           rabit
Version:        0.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Reliable Allreduce and Broadcast Interface
License:        Apache

URL:            https://github.com/dmlc/rabit

BuildRequires:  doxygen cmake gcc-c++ curl
BuildRequires:  dmlc-core-devel openssl-devel git

%global  __cmake_in_source_build 1


%description
Rabit: Reliable Allreduce and Broadcast Interface


%package devel
Summary: Development files
Requires: %{name} = %{version}-%{release}


%description devel
This package contains development files


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i -e 's|"lib/|"%{_lib}/|g' CMakeLists.txt
sed -i -e 's|"lib"|"%{_lib}"|g' CMakeLists.txt
sed -i -e 's|INSTALL_PREFIX "${rabit_SOURCE_DIR}")|INSTALL_PREFIX "/usr")|g' CMakeLists.txt
sed -i -e 's|INDEPENDENT_CODE ON|INDEPENDENT_CODE ON SOVERSION 1 VERSION 1.0|' CMakeLists.txt

mkdir -p build
pushd build
%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
pushd build
make install DESTDIR=%{buildroot}
popd


%clean
rm -rf %{buildroot}


%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/*


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github upstream releases
